/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          --------------------- -----------------------------------          *
*                                                                             *
* Filename :  lpc_spi.h                                                       *
* Description : Headerfile for lpc2000_spi.c                                  *
*                                                                             *
\*****************************************************************************/

#ifndef __LPC_SPI_H_
#define __LPC_SPI_H_

#include "config.h"
#include "types.h"


/* Angaben zum konkreten Interface:
hier nur SPI-Schnittstelle 0 oder 1
und Anzahl der Sektoren auf der aktuellen Karte  */

#define SPI_SCK_PIN   12   /* Clock       PC12  out */
#define SPI_MISO_PIN   8   /* from Card   PC8   in  */
#define SPI_MOSI_PIN   2   /* to Card     PD2   out */
#define SPI_SS_PIN    11   /* Card-Select PC11  out */

#define SPI_CDI_PIN    7   /* Card detect Kontakt in PG7 */
#define SPI_WPI_PIN    8   /* Write Protect Kontakt in PG8 */


struct  hwInterface
{ eint32 handle;          /* hier nur 0 oder 1 */
  eint32 sectorCount;     /* Number of sectors on the card */
};
typedef struct hwInterface hwInterface;

void   Select_Card      (void);
void   Unselect_Card    (void);
esint8 if_initInterface (hwInterface *iface);
esint8 if_readBuf       (euint32 address, euint8* buf);
esint8 if_writeBuf      (euint32 address, euint8* buf);
euint8 if_spiDIO        (euint8 outgoing);

#endif
