/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          ---------------------------------------------------------          *
*                                                                             *
* Filename :  sd.h                                                            *
* Revision :  Initial developement                                            *
* Description : Headerfile for sd.c                                           *
*                                                                             *
\*****************************************************************************/

#ifndef __SD_H_
#define __SD_H_

#include "config.h"
#include "types.h"

#ifdef HW_ENDPOINT_ATMEGA128_SD
	#include "atmega128.h"
#endif
#ifdef HW_ENDPOINT_DSP_TI6713_SD
	#include "dsp67xx.h"
#endif
#ifdef HW_ENDPOINT_LPC2000_SD
	#include "lpc_spi.h"
#endif

#define	CMDREAD		17
#define	CMDWRITE	24
#define	CMDREADCSD       9

euint16 sd_Command      (euint8 cmd, euint16 paramx, euint16 paramy);
void    sd_Resp8bError  (euint8 value);
esint8  sd_readSector   (euint32 address, euint8* buf, euint16 len);
esint8  sd_writeSector  (euint32 address, euint8* buf);
esint8  sd_getDriveSize (euint32* drive_size );

#endif
